TAAS - Feature #316

Package Issue
02/23/2024 08:38 PM - Junaid M

Status: Reopen Bugs Coding Done Start date: 02/23/2024
Priority: Normal Due date:

Assignee: Amal Ck % Done: 70%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Package Issue

Description

Coding Package Issue

History

#1 - 02/23/2024 08:38 PM - Junaid M

Package Issue GUI:-

—> Load Service == Package

->Load Package Category Type == Fixed Packages Only

1) Add Package After Service

2) Remove Ancillary Service, Provider, Country, No Of Items, PNR No
3) Load Period - Not Mandatory

—> Addition Item tab add before Fare Tab

-List - # | Checkbox | Particulars |Fare | Tax | Cost | Fee | Price
- Additional Item Included In print - Checkbox in list title

4) Fare Tab

— Additional Item Fare add to Fare

- Additional Item Tax add to Tax

— Additional Item Service Fee add to Service Fee

#2 - 02/23/2024 08:38 PM - Junaid M

- Assignee changed from travvise Admin to Amal Siby

#3 - 02/23/2024 08:42 PM - Junaid M
- Assignee changed from Amal Siby to Vivekp V

#4 - 02/26/2024 01:06 PM - Vivekp V

Referring other issue

#5 - 03/07/2024 04:12 PM - Anil KV
- Status changed from New to Open

- % Done changed from 0 to 10

#6 - 04/25/2024 10:08 AM - Junaid M

- Assignee changed from Vivekp V to Aparna Mathew

#7 - 05/02/2024 06:26 PM - Aparna Mathew
- Status changed from Open to Coding Started
- % Done changed from 10 to 30

#8 - 06/13/2024 10:34 AM - Aparna Mathew
- Status changed from Coding Started to Coding Done
- % Done changed from 30 to 60
#9 - 06/13/2024 12:58 PM - unnikannan S
- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to unnikannan S

ISSUE FOUNDED

1.Fix Error On AP Sharing Supplier Validation

#10 - 06/19/2024 02:48 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#11 - 06/19/2024 06:17 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.Fix Translation Bugs
2.Fix Ul Collapse Issue

#12 - 06/26/2024 10:49 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#13 - 06/26/2024 11:33 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.Clear Default Showing Red Star On LPO No

#14 - 06/28/2024 02:40 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#15 - 06/28/2024 05:31 PM - unnikannan S
TESTING DONE

#16 - 06/28/2024 05:32 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.Fix Error On Saved Voucher Reloading
2.Show Fare Amount In Supplier Payable,Paid Labels

#17 - 07/02/2024 01:14 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#18 - 07/13/2024 11:25 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50
ISSUE FOUNDED

1.Show Additional ltem Amount In Total Price

#19 - 07/16/2024 10:10 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#20 - 08/30/2024 06:25 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.Error On Continuous Update

#21 - 09/18/2024 12:24 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#22 - 09/24/2024 02:33 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

Tax component not loading in tax details field

#23 - 09/25/2024 10:53 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#24 - 10/07/2024 05:50 PM - Junaid M

New Feature Change

1) Add Customer Cost center In Custom Tab [Apply this in All Issue/Cancel Module]

#25 - 10/16/2024 04:32 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED
1.Error In Deletion

2.Show Save Button In Case Of Loading A Voucher Directly From Cancel
3.Amount Not Changing While We Adding A component From Package Cancel

#26 - 10/17/2024 11:38 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#27 - 10/28/2024 07:18 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.Clear Invalid Pax Profile Name/Code In Focus Out

NEW CHANGES
1. In Package Tab --> Reference Employee --> Change to Dropdown Labels.
--> Options are "Ref. Employee", "Ref. Account" (Account--> Customer/Supplier/Comn Agent)

#28 - 10/29/2024 09:54 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#29 - 11/12/2024 06:04 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#30 - 11/15/2024 06:15 PM - Junaid M
- Status changed from Reopen Bugs Testing Done to New Changes

- % Done changed from 90 to 50

#31 - 11/25/2024 07:02 PM - Arathy PS
- File clipboard-202411251902-qsbfm.png added

#32 - 11/27/2024 11:19 AM - Theja Ponon
- File clipboard-202411271118-ooxvm.png added

NEW CHANGES

Additional Pax

-> Additional Pax Popup - Need Copy <Inputbox> Retore <Checkbox>
—>Add 'Import' Button after 'Sequence' button

* Check Account or JV import

- File* (Red) file Chooser

—-Left Side

*File

Avoid First Number of Rows <input>
Avoid Last Number of Rows <input>
*Input Pax Type String <input>
Adult <input>

Child <input>

Infant<input>

-Right Side Table # | Checkbox Column | Index
Ticket No

Pax Profile

Pax Name (Mandatory)

Pax Type (Mandatory)

Nationality

Passport No

Date of Birth

Phone

Email

Save Settings | Close | Import —-> Buttons

-> In Additional Pax Pop-up --> at the end of pax add attachment icon as grouped.

pload for pax name

click then open attachment u

—> In Ticket tab -> at the end of pax add attachment icon as grouped. click then open attachment upload for pa

X name

ISSUE FOUND

1. While entering data in reference or remark field the data get stored in the other field also.
Package Issue

Package No* ssue ~ ssue Date® | 25/11/2024 o] Restore®
Customer ~ Package | Additional ltems ~Fare AP Sharing
Senvics” | SA0D6: Package Service v Batch No™ v
Package” v Period™ | /MMy 2w . o)
Supplier” v NoOf Days | 0
Pax Profile + Sup Conf No

irmation Number

Number Of Pax | 1 0 0 tal 1
Channel Other v -
Booking Staff* (]
Issuing Staff* ALPO
Reference Employee ~
Remarks | izt

2.this error comes on issuing package from package stock

I_Travvisg Package Issue

Cannot implicitly convert typs ‘System.DateTime' to bool

Stock -

Package No* | asst lssue - ssue Date* | 771172024 [} EESIES
Customer | Packsge Additional items Fare AP Sharing
Customer/FOP* ~ Branch* v
Sub Customer - Daparmentt w
Commission Agsnt 000 QAR File No* Enquiry No*
Responsible User = Due Date* | 44 [r] Cost Cantar®
No Posting - &y Custormer Sids Besting™

#33 - 12/06/2024 03:22 PM - Arathy PS

- Status changed from New Changes to Reopen Bugs

ISSUE FOUND

1. While changing region from one to another, billing tax values connected to it in fare tab is not changing.

#34 - 12/09/2024 12:15 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#35 - 12/09/2024 01:23 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1)when billing tax are excluded for a customer through Non Billing Tax Account ,billing tax values are showing for the customer
2)After changing the region billing tax is not changing,billing tax is changes only when clearing the based on fee field and re entering

NEW CHANGE

1)connect package via xo

Change: Change the red star for LPO No: to blue star and show title : If ticked then show will show in LPO waiting report.

#36 - 12/21/2024 09:51 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#37 - 12/28/2024 11:17 AM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

1) XO PACKAGES ON LOADING IN ISSUE ON EDIT MODE,AND STATUS SHOW AS BOOKING
2) On copying xo package status is also update as issued(xo)

#38 - 12/30/2024 04:09 PM - Arathy PS
- File clipboard-202412301608-qgatg0.png added

ISSUE FOUND

1. Cost side data gets incorrect after trying to change the cost amount.

Package Issue

e v ssue Date™ | 30/12/2024

Customer Package ~ Additional ltems ~ Fare = AP Sharing

Payable In QAR Receivable In QAR
Rate | 100000 < | 0.00 % 0.00

Tex Details &

Tax | 0.00 % | 000 000 %| 0.00

Commission | 0.00 % | 000

Supplier Fee | 1000.00 % | 000 Billing Tax | 0.00

Q o«

Supplier Billing Tax | 0.00 0.00 ¥ Price | 1000.00

Cost | 100000 z Profit: 0.00

Paid®: 0.00 Shering® :0.00 Supplier Payable : 1000.00 Customer Receivable” ; 1000.00 Customer Paid”: 0.00

Supplier Side Posting :

2.Two tax amounts are showing when we have two equations set with effective from date previous to the current date
3.Supplier side billing tax field is not in correct format.
New Change 4. Data from fare tab in package is not loading to the fare tab in package issue.

#39 - 01/01/2025 12:15 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#40 - 01/02/2025 03:30 PM - Arathy PS

- Assignee changed from Aparna Mathew to Amal Ck

#41 - 01/08/2025 03:15 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1. (DONE)Can change the mandatory fields filled in Package stock after loading them here.
2. (DONE)Has to load datas from package module to the package issue
-- package module has a fare tab and data from fare tab to load to package issue.

#42 - 01/10/2025 04:14 PM - Amal Ck
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70
#43 - 01/24/2025 05:54 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to New Changes

- % Done changed from 70 to 50

NEW CHANGES
(DONE)Issue
==>In AP Sharing tab,

--> 'Sharing Type' Default 'Customer Corp Card'

--> 'Card Number' --> Mandatory --> Load from Customer Master -- based on Customer and Corporate Account
--> 'Corporate Card*' Set default -> before 'Supplier'

*--in the corporate card entry field Load Only 'UCCF' Corporate Card.

--Expiry Date: - Blue * ??

--Name On Card: - Blue * ??

(DONE)NEW CHANGES

1. In the AP sharing tab bottom,

--> Add title on Card Number:- Cardmember Account Number
--> Change 'Name On Card'":- Cardmember Name

--> Add "AEME Approval Code™ Textbox

#44 - 02/14/2025 02:10 PM - Theja Ponon

- Status changed from New Changes to Reopen Bugs

#45 - 02/14/2025 02:21 PM - Theja Ponon

- Status changed from Reopen Bugs to New Changes

#46 - 02/24/2025 10:10 AM - Amal Ck
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#47 - 03/24/2025 03:01 PM - Arathy PS
- File clipboard-202503241433-5mwin.png added
- Status changed from New Changes Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

(DONE)1. Tax amount not changing as per per the changes in the amount in AP sharing tab.

Package Issue

Vs -

Package No* lssue ~ Issue Date* | 24/03/2025 ) Restore™

New
Customer Package Additional ltems Fare Custom Data = AP Sharing
T Q 2 O
Sharing Category*  Sypplier v Supplier
Sha Amount In QAR
Sharing Type®  paid to Supplier through Customer Card (UCCF) v Fare | 600.00 % | 5000 0f 1200.00
- APS
Ancillary Service M Tx | 000 %| 0.00 07 0.00
Supj 65000
Date* 24/03/2025 . ey Lo &
Paid 66500 & T
Corporate Card™~ | COC002 Corporate Card Customer Supplier Fee | 50,00 % | 5000 0f 100.00
- AP§
Supplier* SUPOO1 BSP Supplier Billing Tax | 15,00 A
Payt 000
ard Reference BT002: INPUT VAT | 7.50 % 15 5000
Remarks Payabl 1315.00
conl ) aysble | 66500 000
Total Payable 1315.00 Total Shared  665.00
Current Shared 665.00 Balance 650.00
Card Number' | 764 Expiry Date™ | @ 26/03/2027 (<]
AEME Approval Code® | 245 Card Member Name™ | dsfgh

[ Close Update

#48 - 04/08/2025 05:42 PM - Amal Ck
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70
